function [J,S] = jpeg_comp(I, q) 
% Jpeg compression wrapper.
% Parameters: I image (matrix) to be coded, 
%             q quality [0 100]
% 
% [J,S] = jpeg_comp(I, q)
% Returns the compressed image J,
% and its size in bytes S.

if nargin<2
   q=50;
end


if(max(I(:))>1)
    I = uint8(I);
end
imwrite(I, 'tmp.jpg','quality',q);
fprintf('Original uncompressed file size in bytes: %d\n', prod(size(I)))
S=dir('tmp.jpg');
S=S.bytes;
fprintf('Compressed size in bytes: %d, (q=%d)\n', S,q);
J=double(imread('tmp.jpg'));

